language: node_js
sudo: false
dist: trusty
node_js: '9'
addons:
  firefox: latest
  chrome: stable
before_script:
- npm run lint
- npm run build
script:
- xvfb-run wct
- if [ "${TRAVIS_PULL_REQUEST}" = "false" ]; then wct -s 'windows 10/microsoftedge@17' -s 'windows 10/microsoftedge@15' -s 'windows 8.1/internet explorer@11' -s 'macos 10.13/safari@12' -s 'macos 10.13/safari@11' -s 'macos 10.12/safari@10' -s 'os x 10.11/safari@9' -s 'Linux/chrome@41'; fi
env:
  global:
  - secure: E6mivJ+7GgNYdqqfMTnlHjx+J+SlLLoDlQgiRxXR++Z4sHa0q2NPDM0zrt9XwiVFs42NemNo4WM4lOF5biuMnlEY+ftbuWN8osSHN9fFu2ZRJ02gILICMG5yoFY0z5u3LJt8TVjxk4CmUZBPpRlIqZho8e+xrGoPEYmf2xYT2CpDSoeJhva9DeBHf9IltHievP4Yl6PM+4oBXvhqnwt8AdoFbbvaaooWNATKaG/xHQaIJVxhM3Peb1T67DK2PoQmq2+EPlCELXGWYc2+SszUq3AfQaE3p3K8/5NJ+327IW6mUK9bZGeAMKKh1A8HaxKY2f4dLecFsYv2r/V6hCSi786CigN6C1/3x+N/X7sE+nB9ukLYxhG8tIWb35C612nDjxt+KlEK4wnyjb/6YMXcWmx3Qc8/4gEQUQzyzvVOFY/2eO780eN0OOdOqrTQUfs7hTNBjBZlkMm7bu1hdPNkMBKy7mejsipDkimFvg5HyNo5PDt2PuYPAajb+IdhU9PHXXlS3xae0spqqXLu+BF0r4sA3JwAbMq/8NGHhyS1MWYn4mtxRmooTTO+87PFpzTzccALUbtIH6GEKiVNl5yGevFwrxgNtsipNHxTVfXB2Ce40tqV9p/HPsLKk6ZYSsLjQ192jW1QGp3UdacuxopA0aCmRPwXO5UGJx9s8M+TWqM=
  - secure: pp0nViYpl4BbxCpGtyvx5RBOZZF0ZRuwkfpwOyPQBNKzEieWlKv3KOXpIkqgligpaFB1MvpkLon1I8ab7o1J2cvW3/DBAfPRtNNL6UvHgrndusKbW52YLeIiQ+Q8GUw24GnRVWvPQnsndNZElThq/0252dtHqI7Rxyw5Atd4sB8YkeRibFvJqEWnzP7durGRX7qwij2d2zPAG+E2SskZkgs3lA84V4W0g8tJz51djxFDKWnIwwWqLKhR5AA54RhJFq6ZyonLkbzJTXn3Towo29dswtn7Fe+XKcDGoqsNlOb84zADbvNMA4eEExc0jSJa8PekkrxVbakhj4aG1Z/S4sE9rcjF/7OnHUyhn1n6hCcWjOA7mTJL5vgjVHM4z+iV/R6dGq73Zji3CMe/oWQKzk97zBF+IG5MrFAsXdgJUbvKEJmldI+HGnUjDc81rnLyDp/85ORy+YkM9UlDLKwMjlzrWqfuR2Zf8GuaoCWlQXkMCcjSbgVjTQovHsQDye+ZyTVD5QA0ELe0xDGC1QH+mUmgKmX29soSZIAM9Y4vk9oea7DoPMr1sPbfBzJ+AHibiKd6yrdd/IQfUnrTEVPo3VKIURdx2y7nPqBfEOo/Nsz3qiAzHPtegdWz1+kEXCTSqgB77+THZHoJG3fi3TvnWOelbO4wmvn3ovoYteKVLjM=
